# &kde;-gebruikershandleiding

Stephan
Kulow

    coolo@kde.org

2007-09-28
K Desktop Environment
kde4-config
1

# `kde4-config`

Toont de &kde; installatiepaden

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path type --userpath type --install type

## Beschrijving

kde4-config is een commandoregelprogramma dat gebruikt wordt om informatie over de &kde; installatie of gebruikerspaden te verkrijgen.

Gebruik dit programma om te bepalen waar de verschillende aspecten van de &kde; installatie verblijven op uw systeem.

## Opties

`--expandvars`

  expandeer ${prefix} en ${exec_prefix} in de uitvoer

`--prefix`

  Gecompileerd in prefix voor &kde;-bibliotheken

`--exec-prefix`

  Gecompileerd in exec_prefix voor &kde;-bibliotheken

`--libsuffix`

  Gecompileerd in library path suffix

`--localprefix`

  Prefix in $`HOME` gebruikt voor het schrijven van bestanden

`--version`

  Gecompileerd in version string voor &kde;-bibliotheken

`--types`

  Toon een lijst met alle beschikbare &kde;-gegevensbrontypen

`--path type`

  Zoekpad voor het gespecificeerde type

`--userpath type`

  Gebruikerspad voor het type desktop|autostart|document

`--install type`

  Prefix voor het installeren van gegevensbronbestanden

## Voorbeelden

Toon de hoogste &kde;-installatiemap

&percnt;``kde4-config --prefix``

Toon een lijst met alle gegevensbrontypes:

&percnt;``kde4-config --types``

Toon het pad van geïnstalleerde achtergrondafbeeldingen:

&percnt;``kde4-config --path wallpaper``

## Zie ook

kdeoptions(7)

## Fouten/bugs

Niets bekend.